## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           mt32emu
Version:        2.7.1
Release:        %autorelease
Summary:        C/C++ library for emulating Roland MT-32, CM-32L and LAPC-I synthesizer modules

%global version_ %(v=%{version}; tr . _ <<< $v)

# general license - LGPL-2.1-or-later
# Hash implementation at mt32emu/src/sha1 - BSD-3-Clause
License:        LGPL-2.1-or-later AND BSD-3-Clause
URL:            http://munt.sourceforge.net/
Source0:        https://github.com/munt/munt/archive/refs/tags/lib%{name}_%{version_}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

# Not needed for multilib
ExcludeArch: %{ix86}

%description
mt32emu is a part of the Munt project. It represents a C/C++ library named
libmt32emu which allows to emulate (approximately) the Roland MT-32, CM-32L and
LAPC-I synthesizer modules.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       cmake-filesystem
Requires:       pkgconf-pkg-config

%description devel
%{summary}.

%prep
%autosetup -p1 -n munt-lib%{name}_%{version_}
# Remove other subprojects than mt32emu
rm -rf DOSBox-mt32-patch FreeBSD mt32emu_{alsadrv,smf2wav,qt,win32drv{,_setup}}


%build
# Build only the library
%cmake \
    -Dmunt_WITH_MT32EMU_SMF2WAV=FALSE \
    -Dmunt_WITH_MT32EMU_QT=FALSE \
    -Dlibmt32emu_WITH_VERSION_TAGGING=TRUE \
    -Dlibmt32emu_WITH_SYMBOL_VERSIONING=TRUE
%cmake_build

%install
%cmake_install
# Remove a license that is not actually used
# Upstream explanation for its existence: https://github.com/munt/munt/issues/68#issuecomment-882524417
rm %{buildroot}/%{_docdir}/munt/lib%{name}/COPYING.txt

%check
# No tests available
# %%ctest

%files
%{_libdir}/lib%{name}.so.2*
%license %{_docdir}/munt/lib%{name}/{COPYING.LESSER,AUTHORS}.txt
%dir %{_docdir}/munt
%dir %{_docdir}/munt/lib%{name}
%doc %{_docdir}/munt/lib%{name}/{README.md,NEWS.txt}

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}{.h,}
%{_libdir}/cmake/MT32Emu/
%{_libdir}/pkgconfig/%{name}.pc
%doc %{_docdir}/munt/lib%{name}/TODO.txt

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 12 2023 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 2.7.1-1
- Update to 2.7.1 (rhbz#2243405)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 27 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 2.7.0-5
- Exclude i686 architecture

* Sun Aug 07 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 2.7.0-4
- Rebuilt for SPDX license ids and rpmautospec

* Sun Jul 24 2022 Otto Liljalaakso <oturpe@iki.fi> - 2.7.0-1
- Update to 2.7.0
- Resolves rhbz#2110207

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Apr 17 2022 Otto Urpelainen <oturpe@iki.fi> - 2.6.3-1
- Update to 2.6.3
- Resolves rhbz#2075941

* Mon Mar 07 2022 Otto Urpelainen <oturpe@iki.fi> - 2.6.1-1
- Update to 2.6.1
- Resolves rhbz#2061223

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Otto Urpelainen <oturpe@iki.fi> - 2.5.3-1
- Update to 2.5.3
- Resolves rhbz#1991066

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 2.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Otto Urpelainen <oturpe@iki.fi> 2.5.2-1
- Initial release

## END: Generated by rpmautospec
